package com.chenyang.nse.bussiness.service.core.dataproject;

import com.chenyang.nse.bussiness.dao.PageInfo;
import com.chenyang.nse.bussiness.entity.orm.table.core.discovery.TCoreFieldSensitiveMemory;
import com.chenyang.nse.bussiness.entity.orm.table.core.discovery.TcoreDiscoveryColumn;
import com.chenyang.nse.bussiness.entity.orm.table.core.discovery.TcoreDiscoverySensitivecolumn;
import com.chenyang.nse.bussiness.entity.orm.table.core.discovery.TcoreDiscoverySensitivecolumnExport;
import com.chenyang.nse.bussiness.entity.orm.table.core.discovery.TcoreDiscoveryTask;
import com.chenyang.nse.bussiness.entity.vo.DiscoveryMonitorVO;
import com.chenyang.nse.bussiness.entity.vo.DiscoverytaskVO;
import com.chenyang.nse.bussiness.entity.vo.dataproject.TCoreDiscoveryTaskVO;
import java.util.HashMap;
import java.util.List;

public interface DiscoverytaskService {
   List<DiscoverytaskVO> queryDiscoverytaskVO(PageInfo pageInfo, HashMap<String, String> map);

   List<TcoreDiscoveryTask> queryDiscoverytasklist(PageInfo pageInfo);

   List<TcoreDiscoveryTask> querytasklistById(String dataSystemId);

   void updateisrelease(String id);

   void save(TcoreDiscoveryTask discoverytask);

   void deleteDiscoverytask(String id, String resultid);

   TcoreDiscoveryTask get(String taskid);

   List<TcoreDiscoverySensitivecolumnExport> queryTcoreDiscoverySensitivecolumnExport(String groupid);

   String updatetask(String groupId, String groupName);

   String savediscoverytask(String groupName);

   String isTaskNameExistsCheck(String groupName);

   void saveExcel(TcoreDiscoverySensitivecolumnExport tcoreDiscoverySensitivecolumnExport);

   int deleteDiscoverytaskByGroupid(String groupid);

   void saveTCoreFieldSensitiveMemory(TCoreFieldSensitiveMemory tCoreFieldSensitiveMemory);

   List<TCoreFieldSensitiveMemory> queryTCoreFieldSensitiveMemory(String table, String schame);

   List<DiscoverytaskVO> discoveryTaskList(String datasourceid);

   List<TcoreDiscoverySensitivecolumn> discoveryDataAreaList(String findtaskId);

   long queryTableCount(String projectid, String taskid);

   List<DiscoveryMonitorVO> queryDiscoveryTaskForMonitor(String projectid);

   List<TCoreDiscoveryTaskVO> queryDiscoveryTaskDetailforDB(String taskid);

   List<TCoreDiscoveryTaskVO> queryDiscoveryTaskDetailforTxt(String taskid);

   List<TCoreDiscoveryTaskVO> queryDiscoveryTaskDetailforDmp(String taskid);

   List<TcoreDiscoveryTask> queryDiscoverytasklist(PageInfo pageInfo, String projectid, String taskname);

   TcoreDiscoveryColumn queryTaskAndProjectBySchemaName(String datasystemid, String schema);
}
